    Plot the 1D kernel applied to a data set.

plot_kernel(id=None, replot=False, overplot=False, clearwindow=True, **kwargs)
id - int or str, optional
replot - bool, optional
overplot - bool, optional
clearwindow - bool, optional

The `plot_psf` function shows the full PSF, from which the kernel is derived.

Create a model (a step function) that is convolved by a gaussian, and display the kernel overplotted on the PSF:

>>> dataspace1d(1, 10, step=1, dstype=Data1D) >>> set_model(steplo1d.stp) >>> stp.xcut = 4.4 >>> load_psf('psf1', gauss1d.gline) >>> set_psf('psf1') >>> gline.fwhm = 1.2 >>> plot_psf() >>> plot_kernel(overplot=True)

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then the default identifier is used, as returned by `get_default_id` .
replot
Set to True to use the values calculated by the last call to `plot_kernel` . The default is False .
overplot
If True then add the data to an existing plot, otherwise create a new plot. The default is False .
clearwindow
Should the existing plot area be cleared before creating this new plot (e.g. for multi-panel plots)?

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023